id: 3
createtime: 2023-10-16T09:40:45.025908363Z
name: test-app.3.windup
addon: windup
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    output: /windup/report
    rules:
        labels:
            - openjdk
        path: /rules
        rulesets: []
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnown: false
    tagger:
        enabled: true
application:
    id: 3
    name: test-app
state: Failed
image: registry.redhat.io/mta/mta-windup-addon-rhel9@sha256:e6715fc3d1b9a29621542b0d2eabb00c6a1b875731b85e84482b06e79e1fa05d
bucket:
    id: 19
    name: ""
started: 2023-10-16T09:41:39.195938426Z
terminated: 2023-10-16T09:42:32.319472784Z
error: pod failed.
pod: openshift-mta2/task-3-pztm7
retries: 1
report:
    id: 3
    createuser: addon:windup
    updateuser: addon:windup
    createtime: 2023-10-16T09:41:41.367229267Z
    status: Failed
    error: '[CMD] /opt/windup failed: exit status 1.'
    total: 2
    completed: 1
    activity:
        - Fetching application.
        - '[BUCKET] Report deleted:/windup/report duration:20.773867ms.'
        - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
        - '[CMD] succeeded.'
        - '[SSH] Agent started.'
        - '[GIT] Cloning: https://github.com/konveyor/tackle-testapp'
        - '[GIT] Using credentials (id=3) mguetta.'
        - '[FILE] Created /working/.gitconfig.'
        - '[FILE] Created /working/.git-credentials.'
        - '[CMD] Running: /usr/bin/git clone https://github.com/konveyor/tackle-testapp /working/source/tackle-testapp'
        - '[CMD] succeeded.'
        - '[CMD] Running: /opt/windup --legacyReports --exitCodes --batchMode --output /working/report --exportSummary --input /working/source/tackle-testapp --userRulesDirectory /working/rules/files --userRulesDirectory /working/rules/empty --target Empty'
        - '[CMD] failed: exit status 1.'
        - '> Using the CLI at /opt/mta-cli-6.2.0.GA-redhat-00002'
        - '> > Migration Toolkit for Applications by Red Hat (MTA) CLI 6.2.0.GA-redhat-00002 (Windup Components 6.2.5.Final-redhat-00001) https://access.redhat.com/documentation/en-us/migration_toolkit_for_applications/'
        - '> Failed to load rule information due to: Found two providers with the same id: removed-packages (type: file:/opt/mta-cli-6.2.0.GA-redhat-00002/rules/migration-core/openjdk17/openjdk11/removed-packages.windup.xml and file:/working/rules/files/removed-packages.windup.xml)'
        - '> ERROR: target value (Empty) not found, must be one of: []'
        - '> Weld SE container org.jboss.windup.reporting:windup-reporting shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-base shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.ast:windup-java-ast shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-java-ee shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-java shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-java-archives shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.config:windup-config-xml shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-yaml shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-java-diva shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-tattletale shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.config:windup-config shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.exec:windup-exec shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.reporting:windup-reporting-data shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-java-project shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup:windup-tooling shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.config:windup-config-groovy shut down by shutdown hook'
        - '> Weld SE container org.jboss.windup.rules.apps:windup-rules-xml shut down by shutdown hook'
        - '> '
    taskid: 3
